Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 617758 - dev-util/pkgconf dev-util/kyua dev-libs/atf dev-lua/lutok rekeyword request
Summary: dev-util/pkgconf dev-util/kyua dev-libs/atf dev-lua/lutok rekeyword request
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Keywording (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Mike Gilbert
URL:
Whiteboard:
Keywords: KEYWORDREQ
Depends on: 654490 654500
Blocks: 627040
  Show dependency tree
 
Reported: 2017-05-07 18:43 UTC by Mike Gilbert
Modified: 2020-04-06 16:41 UTC (History)
4 users (show)

See Also:
Package list:
dev-lua/lutok-0.4-r2 dev-libs/atf-0.21-r2 dev-util/kyua-0.13-r2 dev-util/pkgconf-1.6.3
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Gilbert gentoo-dev 2017-05-07 18:43:06 UTC
Needed for tests on dev-util/pkgconf.
Comment 1 Tobias Klausmann gentoo-dev 2017-05-09 07:51:41 UTC
Keyworded on alpha.
Comment 2 Jeroen Roovers gentoo-dev 2017-05-09 10:03:57 UTC
Because of the backward execution of the introduction of these test dependencies, this needs a profile change, too.

(You could have dropped the keywords, which would have avoided profile changes, but you didn't. You could have added a USE mask to each profile, but you didn't do that either.)
Comment 3 Jeroen Roovers gentoo-dev 2017-05-09 12:24:04 UTC
Marked ~hppa.
Comment 4 Mike Gilbert gentoo-dev 2017-05-09 15:04:08 UTC
> You could have added a USE mask to each profile, but you didn't do that either.

The hppa package.use.mask forbids anyone from touching it. Perhaps you could amend that?

Anyway, I'll go ahead and drop the use mask and keywords on pkgconf.
Comment 5 Markus Meier gentoo-dev 2017-05-13 06:26:51 UTC
~arm64 added.
Comment 6 Markus Meier gentoo-dev 2017-05-14 10:56:26 UTC
~arm added.
Comment 7 Sergei Trofimovich gentoo-dev 2017-06-18 20:56:38 UTC
~ia64 keyworded
Comment 8 Sergei Trofimovich gentoo-dev 2017-08-09 21:06:08 UTC
~ppc/~ppc64 keyworded
Comment 9 Sergei Trofimovich gentoo-dev 2017-09-12 07:59:08 UTC
sparc keyworded (thanks to Dakon)
Comment 10 Matt Turner gentoo-dev 2017-12-05 06:46:46 UTC
added ~mips
Comment 11 Larry the Git Cow gentoo-dev 2017-12-10 10:58:49 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3811c76a7d0f30d16ba808a03bbccee6479ce9c7

commit 3811c76a7d0f30d16ba808a03bbccee6479ce9c7
Author:     Fabian Groffen <grobian@gentoo.org>
AuthorDate: 2017-12-06 09:36:49 +0000
Commit:     Fabian Groffen <grobian@gentoo.org>
CommitDate: 2017-12-10 10:58:39 +0000

    dev-libs/atf: marked *-macos, fixed for *-solaris, bug #617758
    
    Bug: https://bugs.gentoo.org/617758
    Package-Manager: Portage-2.3.13-prefix, Repoman-2.3.4

 dev-libs/atf/atf-0.21-r1.ebuild                  | 24 ++++++++++++++++++++++++
 dev-libs/atf/files/atf-0.21-getopt-solaris.patch | 12 ++++++++++++
 2 files changed, 36 insertions(+)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a30c7dc69319d5bc0957daaaa2dbcb2790fadd2d

commit a30c7dc69319d5bc0957daaaa2dbcb2790fadd2d
Author:     Fabian Groffen <grobian@gentoo.org>
AuthorDate: 2017-12-06 08:19:15 +0000
Commit:     Fabian Groffen <grobian@gentoo.org>
CommitDate: 2017-12-10 10:58:38 +0000

    dev-lua/lutok: add *-macos *-solaris keywords, bug #617758
    
    Bug: https://bugs.gentoo.org/617758
    Package-Manager: Portage-2.3.13-prefix, Repoman-2.3.4

 dev-lua/lutok/lutok-0.4-r1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)}
Comment 12 Stabilization helper bot gentoo-dev 2018-04-26 15:01:53 UTC
An automated check of this bug succeeded - the previous repoman errors are now resolved.
Comment 13 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2018-05-01 09:03:01 UTC
(updating to newest versions)
Comment 14 Stabilization helper bot gentoo-dev 2018-09-08 00:00:27 UTC
An automated check of this bug failed - the following atoms are unknown:

dev-libs/atf-0.21-r1
dev-util/kyua-0.13-r1

Please verify the atom list.
Comment 15 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2018-10-17 16:47:44 UTC
s390 done
Comment 16 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2019-02-16 13:36:06 UTC
~m68k keyworded
Comment 17 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2019-02-16 13:36:30 UTC
~sh keyworded
Comment 18 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2019-10-11 17:11:51 UTC
*-fbsd is gone.
Comment 19 NATTkA bot gentoo-dev 2020-04-06 15:26:01 UTC
Unable to check for sanity:

> no match for package: dev-util/pkgconf-1.5.4
Comment 20 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2020-04-06 16:41:45 UTC
FYI, it won't '+' it since there are no (regular) arches left CC-ed.  If you hadn't wiped the flag, it would tell you it's removing it because of that.